LibreOffice: ConsolidationDescriptor Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
ConsolidationDescriptor Service Referencepublished

contains all settings of a data consolidation in a spreadsheet document. More...

Inheritance diagram for ConsolidationDescriptor:

## Exported Interfaces
interface | com::sun::star::sheet::XConsolidationDescriptor
| provides methods to access the settings of the descriptor.

## Additional Inherited Members
Public Member Functions inherited from XConsolidationDescriptor
com::sun::star::sheet::GeneralFunction | getFunction ()
| returns the function by which the ranges are consolidated.
void | setFunction ([in] com::sun::star::sheet::GeneralFunction nFunction)
| sets the function by which the ranges are consolidated.
sequence< com::sun::star::table::CellRangeAddress > | getSources ()
| returns the cell ranges which are consolidated.
void | setSources ([in] sequence< com::sun::star::table::CellRangeAddress > aSources)
| sets the cell ranges which are consolidated.
com::sun::star::table::CellAddress | getStartOutputPosition ()
| returns the position of the top left cell of the cell range where the consolidated data are copied.
void | setStartOutputPosition ([in] com::sun::star::table::CellAddress aStartOutputPosition)
| sets the position of the top left cell of the cell range where the consolidated data are copied.
boolean | getUseColumnHeaders ()
| returns, whether column headers from the cell ranges are used to find matching data or not.
void | setUseColumnHeaders ([in] boolean bUseColumnHeaders)
| specifies if column headers from the cell ranges are used to find matching data.
boolean | getUseRowHeaders ()
| returns, whether row headers from the cell ranges are used to find matching data or not.
void | setUseRowHeaders ([in] boolean bUseRowHeaders)
| specifies if row headers from the cell ranges are used to find matching data.
boolean | getInsertLinks ()
| returns, whether links to the original data are inserted in the output area or not.
void | setInsertLinks ([in] boolean bInsertLinks)
| specifies if links to the original data are inserted in the output area.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

contains all settings of a data consolidation in a spreadsheet document.

See also
  com::sun::star::sheet::XConsolidatable

## Exported Interfaces

## ◆ com::sun::star::sheet::XConsolidationDescriptor

interface com::sun::star::sheet::XConsolidationDescriptor

provides methods to access the settings of the descriptor.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/ConsolidationDescriptor.idl